Loading...
Searching...
No Matches
lirc.client.RawConnection Class Reference
Python client bindings » Classes to receive keypresses

Interface to receive code strings as described in lircd(8). More...

Inheritance diagram for lirc.client.RawConnection:

## Public Member Functions

| __init__ (self, str socket_path=None, str prog=_DEFAULT_PROG)
str | readline (self, float timeout=None)
| Implements AbstractConnection.readline().
int | fileno (self)
| Implements AbstractConnection.fileno().
bool | has_data (self)
| Implements AbstractConnection.has_data().
| close (self)
| Implements AbstractConnection.close().
Public Member Functions inherited from lirc.client.AbstractConnection
| __enter__ (self)
| __exit__ (self, exc_type, exc, traceback)

## Protected Attributes

| _socket = socket.fromfd(fd, socket.AF_UNIX, socket.SOCK_STREAM)
| _select = selectors.DefaultSelector()
| _buffer = bytearray(0)

## Detailed Description

Interface to receive code strings as described in lircd(8).

Parameters
  - socket_path: lircd output socket path, see get_default_socket_path() for defaults.
  - prog: Program name used in lircrc decoding, see ircat(1). Could be omitted if only raw keypresses should be read.

Definition at line 211 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.RawConnection.__init__ | ( |  | self,
|  | str | socket_path = None,
|  | str | prog = _DEFAULT_PROG )

Definition at line 214 of file client.py.

## Member Function Documentation

## close()

lirc.client.RawConnection.close | ( |  | self | ) |

Implements AbstractConnection.close().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 255 of file client.py.

## fileno()

int lirc.client.RawConnection.fileno | ( |  | self | ) |

Implements AbstractConnection.fileno().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 247 of file client.py.

## has_data()

bool lirc.client.RawConnection.has_data | ( |  | self | ) |

Implements AbstractConnection.has_data().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 251 of file client.py.

## readline()

str lirc.client.RawConnection.readline | ( |  | self,
|  | float | timeout = None )

Implements AbstractConnection.readline().

Reimplemented from lirc.client.AbstractConnection.

Definition at line 227 of file client.py.

## Member Data Documentation

## _buffer

lirc.client.RawConnection._buffer = bytearray(0)

protected

Definition at line 224 of file client.py.

## _select

lirc.client.RawConnection._select = selectors.DefaultSelector()

protected

Definition at line 222 of file client.py.

## _socket

lirc.client.RawConnection._socket = socket.fromfd(fd, socket.AF_UNIX, socket.SOCK_STREAM)

protected

Definition at line 221 of file client.py.

The documentation for this class was generated from the following file:

- client.py